﻿using System.Windows;

namespace PrintGridWithHeaderText_WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();

        }

        private void Print_Click(object sender, RoutedEventArgs e)
        {
            this.SfdataGrid.Print();
        }

        private void PrintPreview_Click(object sender, RoutedEventArgs e)
        {
            this.SfdataGrid.PrintSettings.PrintScaleOption = Syncfusion.UI.Xaml.Grid.PrintScaleOptions.FitViewonOnePage;
            this.SfdataGrid.PrintSettings.AllowColumnWidthFitToPrintPage = false;
            this.SfdataGrid.PrintSettings.AllowRepeatHeaders = true;
            this.SfdataGrid.ShowPrintPreview();
        }

    }

}
